package de.tu_dresden.diplom.richter_mirko_mat2628335.common.listener.event;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.digestAgreement.IFDigestAgreementRequest;

/**
 * 
 */
public class DigestAgreementInitiatedEvent implements IFDigestAgreementInitiatedEvent{

   private int phase = UNKNOWN;
   private String contextId = null;
   private IFDigestAgreementRequest digAgreeRequest = null;
   private String communicationNonce = null;

   public DigestAgreementInitiatedEvent(String contextId, IFDigestAgreementRequest digAgreeRequest, String communicationNonce) {
      this.contextId = contextId;
      this.digAgreeRequest = digAgreeRequest;
      this.communicationNonce = communicationNonce;
   }

   public int getPhase() {
      return phase;
   }

   public void setPhase(int phase) {
      this.phase = phase;
   }

   public String getContextId() {
      return contextId;
   }

   public IFDigestAgreementRequest getDigAgreeRequest() {
      return digAgreeRequest;
   }

   public String getCommunicationNonce() {
      return communicationNonce;
   }


}
